Bug 1186942 - About page opens duplicate tabs for each link you click
Summary: About page opens duplicate tabs for each link you click
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-28 22:41 UTC by Matt Reid
Modified: 2017-02-23 20:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:22:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6058 None None None 2016-04-22 15:40:54 UTC

Description Matt Reid 2015-01-28 22:41:25 UTC
Description of problem:
If you go to the About page of Satellite, there are several embedded links you can click to get more information about various things. When you click any of these, it will open up two tabs for each one you click. If I click on the Blog link, I get two tabs for that, if I click on the redhat_access plugin link, I get two "this server could not be found" tabs (I don't know what http://www.lphiri.redhat.com/ is supposed to be, but it doesn't appear to be working, whatever it is), etc.

We should only open a single tab for a clicked link, and we should figure out if http://www.lphiri.redhat.com/ is where the redhat_access plugin should be trying to link to.

Version-Release number of selected component (if applicable):
6.0.6

Comment 1 RHEL Product and Program Management 2015-01-28 23:04:07 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Bryan Kearney 2015-02-18 21:18:48 UTC
Created redmine issue http://projects.theforeman.org/issues/9451 from this bug

Comment 4 Bryan Kearney 2015-02-19 13:58:44 UTC
Connecting redmine issue http://projects.theforeman.org/issues/6058 from this bug

Comment 5 Bryan Kearney 2015-02-19 14:14:45 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6058 has been closed

Comment 8 jcallaha 2015-02-26 21:56:44 UTC
Verified in Satellite 6.1.0 snap 4 compose 2.

Version tested:
RHEL 66
RHEL 71

Comment 9 Bryan Kearney 2015-08-11 13:26:15 UTC
This bug is slated to be released with Satellite 6.1.

Comment 10 errata-xmlrpc 2015-08-12 05:22:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.